Get Page
Returns a page by its ID or pathname.
Authentication
x-api-keystring
API key authentication. Accepts either:
- App API key (e.g. sk_eczMHVBY9fV6GYFhvs53qcnxq7yptlXL3ABKOZtn6dQ)
- Site API key (UUID format, e.g. 550e8400-e29b-41d4-a716-446655440000)
Path parameters
pageIdOrPathname
The page ID or pathname for the page you are requesting.
Query parameters
siteId
The site ID required when using a pathname instead of a page ID.
versionRef
The version reference to retrieve the page from. Defaults to ref:draft if not provided.
Supported formats:
ref:draft- Draft/working versionref:live- Live/published version
Allowed values:
locale
The locale to retrieve the page in. Accepts either a locale code (e.g. en-US) or a site_locale UUID. If provided and resolves to a non-default locale, localized page data is collapsed into the response.
include
Include additional data in the response. Omit for the page record alone.
Supported values:
elements- include the page’s element tree. This feature is in beta and may change. Requests return403until the feature flag is enabled for your site or workspace.
Allowed values:
Response
object
Allowed values:
id
The ID of the page.
pathname
The page pathname.
canonicalUrl
The canonical URL of the page.
title
The page title.
description
The page description.
sitemapPriority
The sitemap priority.
sitemapFrequency
The sitemap update frequency.
createdAt
The page creation date and time.
updatedAt
The page last update date and time.
publishedAt
The page publication date and time.
isOnline
The flag that indicates whether the page is online.
excludedFromSearchEngines
The flag that indicates whether the page is excluded from search.
localizations
The localizations of the page.
elements
The root of the page’s element tree. null unless include=elements.
locale
The page locale. This defaults to the default locale of the parent site.
Errors
403
Forbidden Error